<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>BuildListener (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="BuildListener (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../org/gradle/BuildAdapter.html" title="class in org.gradle"><span class="strong">Prev Class</span></a></li>
<li><a href="../../org/gradle/BuildResult.html" title="class in org.gradle"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?org/gradle/BuildListener.html" target="_top">Frames</a></li>
<li><a href="BuildListener.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle</div>
<h2 title="Interface BuildListener" class="title">Interface BuildListener</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../org/gradle/BuildAdapter.html" title="class in org.gradle">BuildAdapter</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">BuildListener</span></pre>
<div class="block"><p>A <code>BuildListener</code> is notified of the major lifecycle events as a build is executed.</p></div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../org/gradle/api/invocation/Gradle.html#addListener(java.lang.Object)"><code>Gradle.addListener(Object)</code></a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/BuildListener.html#buildFinished(org.gradle.BuildResult)">buildFinished</a></strong>(<a href="../../org/gradle/BuildResult.html" title="class in org.gradle">BuildResult</a>&nbsp;result)</code>
<div class="block">Called when the build is completed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/BuildListener.html#buildStarted(org.gradle.api.invocation.Gradle)">buildStarted</a></strong>(<a href="../../org/gradle/api/invocation/Gradle.html" title="interface in org.gradle.api.invocation">Gradle</a>&nbsp;gradle)</code>
<div class="block">Called when the build is started.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/BuildListener.html#projectsEvaluated(org.gradle.api.invocation.Gradle)">projectsEvaluated</a></strong>(<a href="../../org/gradle/api/invocation/Gradle.html" title="interface in org.gradle.api.invocation">Gradle</a>&nbsp;gradle)</code>
<div class="block">Called when all projects for the build have been evaluated.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/BuildListener.html#projectsLoaded(org.gradle.api.invocation.Gradle)">projectsLoaded</a></strong>(<a href="../../org/gradle/api/invocation/Gradle.html" title="interface in org.gradle.api.invocation">Gradle</a>&nbsp;gradle)</code>
<div class="block">Called when the projects for the build have been created from the settings.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/BuildListener.html#settingsEvaluated(org.gradle.api.initialization.Settings)">settingsEvaluated</a></strong>(<a href="../../org/gradle/api/initialization/Settings.html" title="interface in org.gradle.api.initialization">Settings</a>&nbsp;settings)</code>
<div class="block">Called when the build settings have been loaded and evaluated.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="buildStarted(org.gradle.api.invocation.Gradle)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>buildStarted</h4>
<pre>void&nbsp;buildStarted(<a href="../../org/gradle/api/invocation/Gradle.html" title="interface in org.gradle.api.invocation">Gradle</a>&nbsp;gradle)</pre>
<div class="block"><p>Called when the build is started.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>gradle</code> - The build which is being started. Never null.</dd></dl>
</li>
</ul>
<a name="settingsEvaluated(org.gradle.api.initialization.Settings)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>settingsEvaluated</h4>
<pre>void&nbsp;settingsEvaluated(<a href="../../org/gradle/api/initialization/Settings.html" title="interface in org.gradle.api.initialization">Settings</a>&nbsp;settings)</pre>
<div class="block"><p>Called when the build settings have been loaded and evaluated. The settings object is fully configured and is
 ready to use to load the build projects.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>settings</code> - The settings. Never null.</dd></dl>
</li>
</ul>
<a name="projectsLoaded(org.gradle.api.invocation.Gradle)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>projectsLoaded</h4>
<pre>void&nbsp;projectsLoaded(<a href="../../org/gradle/api/invocation/Gradle.html" title="interface in org.gradle.api.invocation">Gradle</a>&nbsp;gradle)</pre>
<div class="block"><p>Called when the projects for the build have been created from the settings. None of the projects have been
 evaluated.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>gradle</code> - The build which has been loaded. Never null.</dd></dl>
</li>
</ul>
<a name="projectsEvaluated(org.gradle.api.invocation.Gradle)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>projectsEvaluated</h4>
<pre>void&nbsp;projectsEvaluated(<a href="../../org/gradle/api/invocation/Gradle.html" title="interface in org.gradle.api.invocation">Gradle</a>&nbsp;gradle)</pre>
<div class="block"><p>Called when all projects for the build have been evaluated. The project objects are fully configured and are
 ready to use to populate the task graph.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>gradle</code> - The build which has been evaluated. Never null.</dd></dl>
</li>
</ul>
<a name="buildFinished(org.gradle.BuildResult)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>buildFinished</h4>
<pre>void&nbsp;buildFinished(<a href="../../org/gradle/BuildResult.html" title="class in org.gradle">BuildResult</a>&nbsp;result)</pre>
<div class="block"><p>Called when the build is completed. All selected tasks have been executed.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>result</code> - The result of the build. Never null.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../org/gradle/BuildAdapter.html" title="class in org.gradle"><span class="strong">Prev Class</span></a></li>
<li><a href="../../org/gradle/BuildResult.html" title="class in org.gradle"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?org/gradle/BuildListener.html" target="_top">Frames</a></li>
<li><a href="BuildListener.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
